Loading...
Searching...
No Matches
Gudhi::Simplex_tree_siblings< SimplexTree, MapContainer > Class Template Reference
Filtered Complexes

Data structure to store a set of nodes in a SimplexTree sharing the same parent node. More...

`#include <include/gudhi/Simplex_tree/Simplex_tree_siblings.h>`

## Public Member Functions

template<typename RandomAccessVertexRange>
| Simplex_tree_siblings (Simplex_tree_siblings *oncles, Vertex_handle parent, const RandomAccessVertexRange &members)
| Constructor with initialized set of members.
void | insert (Vertex_handle v, Filtration_value filtration_value)
| Inserts a Node in the set of siblings nodes.

## Detailed Description

template<class SimplexTree, class MapContainer>
class Gudhi::Simplex_tree_siblings< SimplexTree, MapContainer >

Data structure to store a set of nodes in a SimplexTree sharing the same parent node.

## Constructor & Destructor Documentation

## Simplex_tree_siblings()

template<class SimplexTree, class MapContainer>
template<typename RandomAccessVertexRange>

Gudhi::Simplex_tree_siblings< SimplexTree, MapContainer >::Simplex_tree_siblings | ( | Simplex_tree_siblings< SimplexTree, MapContainer > * | oncles,
|  | Vertex_handle | parent,
|  | const RandomAccessVertexRange & | members )

inline

Constructor with initialized set of members.

'members' must be sorted and unique.

## Member Function Documentation

## insert()

template<class SimplexTree, class MapContainer>

void Gudhi::Simplex_tree_siblings< SimplexTree, MapContainer >::insert | ( | Vertex_handle | v,
|  | Filtration_value | filtration_value )

inline

Inserts a Node in the set of siblings nodes.

If already present, assigns the minimal filtration value between input filtration_value and the value already present in the node.

The documentation for this class was generated from the following file:

- include/gudhi/Simplex_tree/Simplex_tree_siblings.h